
import java.util.List;

import ch.vd.institutions.votelec.controller.datamodel.MyFilterField;
import ch.vd.institutions.votelec.controller.datamodel.MySortField;


public interface SortableFilterableDataProvider<T, B extends Enum<?>> {

		public List<T> getItemsByRange(int firstRow, int lastRow, List<MyFilterField<B>> filterFields, List<MySortField<B>> sortFields);

		public int getRowCount();
		
		public B convertColumnEnum(String columnName);
		
}
